Skip to main content
GET
/
account-info
/
2026-03
/
details
Retrieve account details
curl --request GET \
  --url https://api.hubapi.com/account-info/2026-03/details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/account-info/2026-03/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/account-info/2026-03/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "additionalCurrencies": [
    "<string>"
  ],
  "companyCurrency": "<string>",
  "dataHostingLocation": "<string>",
  "portalId": 123,
  "timeZone": "<string>",
  "uiDomain": "<string>",
  "utcOffset": "<string>",
  "utcOffsetMilliseconds": 123
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

successful operation

accountType
enum<string>
required

The type of account, such as APP_DEVELOPER, DEVELOPER_TEST, SANDBOX, or STANDARD.

Available options:
APP_DEVELOPER,
DEVELOPER_TEST,
SANDBOX,
STANDARD
additionalCurrencies
string[]
required
companyCurrency
string
required

The primary currency used by the company.

dataHostingLocation
string
required

The location where the account's data is hosted.

portalId
integer<int32>
required

The unique identifier for the HubSpot account.

timeZone
string
required

The time zone in which the account operates.

uiDomain
string
required

The domain used for accessing the HubSpot user interface.

utcOffset
string
required

The time zone offset from UTC in hours and minutes.

utcOffsetMilliseconds
integer<int64>
required

The time zone offset from UTC in milliseconds.

Last modified on March 31, 2026